<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="15505" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" colorMatched="YES" initialViewController="BYZ-38-t0r">
    <device id="retina4_7" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="15510"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--View Controller-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" customClass="ViewController" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="a21-3W-10n"/>
                        <viewControllerLayoutGuide type="bottom" id="ItS-Q1-ANW"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="HDM-va-7kG">
                                <rect key="frame" x="0.0" y="0.0" width="100" height="50"/>
                                <color key="backgroundColor" red="1" green="0.21225945169999999" blue="0.26982277180000003" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="100" id="ggp-5t-EmR"/>
                                    <constraint firstAttribute="height" constant="50" id="hEt-Jn-qfb"/>
                                </constraints>
                                <state key="normal" title="点我退出键盘"/>
                                <connections>
                                    <action selector="clickExitKeyboardAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="gS2-qL-GWP"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="so4-rI-aRi">
                                <rect key="frame" x="100" y="0.0" width="275" height="50"/>
                                <color key="backgroundColor" red="0.63529411759999999" green="0.51764705879999995" blue="0.36862745099999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <color key="tintColor" red="0.63529411759999999" green="0.51764705879999995" blue="0.36862745099999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <state key="normal" title="当前为正式环境，点击切换为测试环境">
                                    <color key="titleColor" red="1" green="0.1764705882" blue="0.33333333329999998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </state>
                                <state key="selected" title="当前为测试环境，点击切换为正式环境"/>
                                <connections>
                                    <action selector="clickChangeEnvironmentBtnAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="3bs-lx-zXl"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="9JE-Lz-Dma">
                                <rect key="frame" x="16" y="347" width="123" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="用户信息标记已读"/>
                                <connections>
                                    <action selector="readedAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="TG3-vr-mmf"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="1dp-RW-FhV">
                                <rect key="frame" x="16" y="312" width="153" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="获取会话未读消息列表"/>
                                <connections>
                                    <action selector="noReadListAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="10K-gk-bQ8"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="F7y-mH-mpC">
                                <rect key="frame" x="16" y="382" width="153" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="获取用户最近会话记录"/>
                                <connections>
                                    <action selector="recentVChatAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="3oJ-mA-RCP"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="7fD-Hf-Afy">
                                <rect key="frame" x="15" y="417" width="153" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="获取会话历史消息列表"/>
                                <connections>
                                    <action selector="historyMegListAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="5oc-rs-t23"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="dRe-f0-gnl">
                                <rect key="frame" x="15" y="207" width="62" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="30" id="mC7-ZM-0r1"/>
                                </constraints>
                                <state key="normal" title="建立连接"/>
                                <connections>
                                    <action selector="connectAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="PbK-7D-LjH"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Vmx-zP-DRW">
                                <rect key="frame" x="82" y="207" width="92" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="进入当前会话"/>
                                <connections>
                                    <action selector="sendLocalNotiAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="jbM-Ii-Hmr"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="2eb-Vp-qLt">
                                <rect key="frame" x="16" y="242" width="62" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="断开连接"/>
                                <connections>
                                    <action selector="disconnectAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="kgm-l0-jU8"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="FOH-XA-D8x">
                                <rect key="frame" x="179" y="207" width="92" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="退出当前会话"/>
                                <connections>
                                    <action selector="sendMegAction:" destination="BYZ-38-t0r" eventType="touchUpInside" id="6ex-WY-diR"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="TnX-iH-azN">
                                <rect key="frame" x="15" y="277" width="123" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="30" id="WY2-02-a1H"/>
                                    <constraint firstAttribute="width" constant="123" id="xf9-UB-b1m"/>
                                </constraints>
                                <state key="normal" title="使用接口发送消息"/>
                                <connections>
                                    <action selector="sendMeg:" destination="BYZ-38-t0r" eventType="touchUpInside" id="FvS-MG-NH7"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="m3k-LM-GSV">
                                <rect key="frame" x="15" y="452" width="62" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="注册推送"/>
                                <connections>
                                    <action selector="registeredUser:" destination="BYZ-38-t0r" eventType="touchUpInside" id="6BH-gR-fcD"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="uRU-q5-QzB">
                                <rect key="frame" x="82" y="452" width="62" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="注销推送"/>
                                <connections>
                                    <action selector="UnRegisteredUser:" destination="BYZ-38-t0r" eventType="touchUpInside" id="lsz-2T-JSe"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Cy1-S1-DPz">
                                <rect key="frame" x="15" y="487" width="132" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="上传图片/视频/文件"/>
                                <connections>
                                    <action selector="uploadImage:" destination="BYZ-38-t0r" eventType="touchUpInside" id="eO0-RH-EOA"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="bxC-wQ-owS">
                                <rect key="frame" x="152" y="487" width="62" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="获取图片"/>
                                <connections>
                                    <action selector="getImage:" destination="BYZ-38-t0r" eventType="touchUpInside" id="cbb-Dd-m3G"/>
                                </connections>
                            </button>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="01u-sn-4fM">
                                <rect key="frame" x="219" y="487" width="60" height="60"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="60" id="ER0-mY-ms3"/>
                                    <constraint firstAttribute="width" constant="60" id="vhI-Da-dhK"/>
                                </constraints>
                            </imageView>
                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="请输入消息内容" textAlignment="natural" minimumFontSize="17" clearButtonMode="whileEditing" translatesAutoresizingMaskIntoConstraints="NO" id="9C8-lY-VAg">
                                <rect key="frame" x="143" y="273" width="217" height="34"/>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits"/>
                            </textField>
                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="请输入发送人ID" textAlignment="natural" minimumFontSize="17" clearButtonMode="whileEditing" translatesAutoresizingMaskIntoConstraints="NO" id="W7X-2X-xsv">
                                <rect key="frame" x="15" y="90" width="345" height="34"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="34" id="xec-2Q-VZZ"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits"/>
                            </textField>
                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="请输入接受人ID" textAlignment="natural" minimumFontSize="17" clearButtonMode="whileEditing" translatesAutoresizingMaskIntoConstraints="NO" id="wpP-7X-EhS">
                                <rect key="frame" x="15" y="168" width="345" height="34"/>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits"/>
                            </textField>
                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="请输入发送人token" textAlignment="natural" minimumFontSize="17" clearButtonMode="whileEditing" translatesAutoresizingMaskIntoConstraints="NO" id="8TM-yv-Un7">
                                <rect key="frame" x="15" y="129" width="345" height="34"/>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits"/>
                            </textField>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="8PJ-g2-nFJ">
                                <rect key="frame" x="15" y="522" width="62" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="上传文件"/>
                                <connections>
                                    <action selector="uploadFile:" destination="BYZ-38-t0r" eventType="touchUpInside" id="D5i-1H-mCc"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="0ox-b2-eLv">
                                <rect key="frame" x="314" y="347" width="46" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="数据库"/>
                                <connections>
                                    <action selector="lookDatabase:" destination="BYZ-38-t0r" eventType="touchUpInside" id="NzO-RH-OFo"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="hBY-Ug-jR2">
                                <rect key="frame" x="268" y="387" width="92" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="压测暂停状态"/>
                                <state key="selected" title="压测开始状态"/>
                                <connections>
                                    <action selector="pressureTest:" destination="BYZ-38-t0r" eventType="touchUpInside" id="elf-4J-COs"/>
                                </connections>
                            </button>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="发送人" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="2dO-Tn-LD7">
                                <rect key="frame" x="15" y="55" width="100" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="30" id="OzX-mU-bih"/>
                                    <constraint firstAttribute="width" constant="100" id="Yz6-yT-W63"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" pointSize="15"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="接受人" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="irT-Ka-3TX">
                                <rect key="frame" x="125" y="55" width="112" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <fontDescription key="fontDescription" type="system" pointSize="15"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstItem="uRU-q5-QzB" firstAttribute="height" secondItem="m3k-LM-GSV" secondAttribute="height" id="0iG-ih-UIc"/>
                            <constraint firstItem="7fD-Hf-Afy" firstAttribute="top" secondItem="F7y-mH-mpC" secondAttribute="bottom" constant="5" id="3iZ-Fk-2i8"/>
                            <constraint firstItem="W7X-2X-xsv" firstAttribute="leading" secondItem="8bC-Xf-vdC" secondAttribute="leading" constant="15" id="4mN-Ol-K6z"/>
                            <constraint firstItem="F7y-mH-mpC" firstAttribute="leading" secondItem="TnX-iH-azN" secondAttribute="leading" constant="1" id="6b7-ni-Ag1"/>
                            <constraint firstItem="2dO-Tn-LD7" firstAttribute="leading" secondItem="8bC-Xf-vdC" secondAttribute="leading" constant="15" id="6eY-Q2-wof"/>
                            <constraint firstItem="bxC-wQ-owS" firstAttribute="top" secondItem="Cy1-S1-DPz" secondAttribute="top" id="6i3-87-Iqw"/>
                            <constraint firstItem="2dO-Tn-LD7" firstAttribute="top" secondItem="HDM-va-7kG" secondAttribute="bottom" constant="5" id="7eE-LI-n4L"/>
                            <constraint firstItem="wpP-7X-EhS" firstAttribute="leading" secondItem="W7X-2X-xsv" secondAttribute="leading" id="7qR-05-4WU"/>
                            <constraint firstAttribute="trailing" secondItem="hBY-Ug-jR2" secondAttribute="trailing" constant="15" id="8L6-lm-ovv"/>
                            <constraint firstItem="wpP-7X-EhS" firstAttribute="top" secondItem="8TM-yv-Un7" secondAttribute="bottom" constant="5" id="8Ny-K1-4n7"/>
                            <constraint firstItem="Cy1-S1-DPz" firstAttribute="height" secondItem="dRe-f0-gnl" secondAttribute="height" id="8qa-si-8ig"/>
                            <constraint firstItem="m3k-LM-GSV" firstAttribute="leading" secondItem="dRe-f0-gnl" secondAttribute="leading" id="97H-yt-Mwa"/>
                            <constraint firstItem="dRe-f0-gnl" firstAttribute="leading" secondItem="8bC-Xf-vdC" secondAttribute="leading" constant="15" id="A4C-6b-WCr"/>
                            <constraint firstItem="hBY-Ug-jR2" firstAttribute="top" secondItem="0ox-b2-eLv" secondAttribute="bottom" constant="10" id="Ahq-wn-M6U"/>
                            <constraint firstItem="dRe-f0-gnl" firstAttribute="top" secondItem="wpP-7X-EhS" secondAttribute="bottom" constant="5" id="AvN-lQ-0c4"/>
                            <constraint firstItem="so4-rI-aRi" firstAttribute="leading" secondItem="HDM-va-7kG" secondAttribute="trailing" id="DBt-un-mxD"/>
                            <constraint firstItem="wpP-7X-EhS" firstAttribute="height" secondItem="W7X-2X-xsv" secondAttribute="height" id="DSG-sD-qXE"/>
                            <constraint firstItem="irT-Ka-3TX" firstAttribute="top" secondItem="2dO-Tn-LD7" secondAttribute="top" id="FLv-ff-VCA"/>
                            <constraint firstItem="8TM-yv-Un7" firstAttribute="height" secondItem="W7X-2X-xsv" secondAttribute="height" id="FsK-4W-A58"/>
                            <constraint firstItem="so4-rI-aRi" firstAttribute="height" secondItem="HDM-va-7kG" secondAttribute="height" multiplier="0.6" constant="20" id="FzM-6k-5Gt"/>
                            <constraint firstItem="bxC-wQ-owS" firstAttribute="height" secondItem="Cy1-S1-DPz" secondAttribute="height" id="HRS-aT-dpu"/>
                            <constraint firstItem="F7y-mH-mpC" firstAttribute="height" secondItem="TnX-iH-azN" secondAttribute="height" id="HV9-jc-VLg"/>
                            <constraint firstItem="F7y-mH-mpC" firstAttribute="top" secondItem="9JE-Lz-Dma" secondAttribute="bottom" constant="5" id="HdJ-KZ-Mo0"/>
                            <constraint firstItem="irT-Ka-3TX" firstAttribute="width" secondItem="2dO-Tn-LD7" secondAttribute="width" multiplier="1.07" constant="5" id="Hig-Ke-H37"/>
                            <constraint firstItem="FOH-XA-D8x" firstAttribute="leading" secondItem="Vmx-zP-DRW" secondAttribute="trailing" constant="5" id="IwN-ov-FmL"/>
                            <constraint firstItem="01u-sn-4fM" firstAttribute="leading" secondItem="bxC-wQ-owS" secondAttribute="trailing" constant="5" id="Klm-Tu-0BT"/>
                            <constraint firstItem="HDM-va-7kG" firstAttribute="leading" secondItem="8bC-Xf-vdC" secondAttribute="leading" id="LVQ-dP-gyt"/>
                            <constraint firstItem="m3k-LM-GSV" firstAttribute="top" secondItem="7fD-Hf-Afy" secondAttribute="bottom" constant="5" id="Lxq-EJ-ByY"/>
                            <constraint firstItem="2eb-Vp-qLt" firstAttribute="height" secondItem="dRe-f0-gnl" secondAttribute="height" id="M7d-CM-zWv"/>
                            <constraint firstItem="uRU-q5-QzB" firstAttribute="top" secondItem="m3k-LM-GSV" secondAttribute="top" id="MSV-Gc-Og9"/>
                            <constraint firstAttribute="trailing" secondItem="so4-rI-aRi" secondAttribute="trailing" id="MTw-tc-ZdJ"/>
                            <constraint firstItem="W7X-2X-xsv" firstAttribute="top" secondItem="2dO-Tn-LD7" secondAttribute="bottom" constant="5" id="NXp-gD-4dc"/>
                            <constraint firstItem="01u-sn-4fM" firstAttribute="top" secondItem="Cy1-S1-DPz" secondAttribute="top" id="Nb3-Oc-foo"/>
                            <constraint firstItem="2eb-Vp-qLt" firstAttribute="top" secondItem="dRe-f0-gnl" secondAttribute="bottom" constant="5" id="QLW-Tp-TY4"/>
                            <constraint firstItem="bxC-wQ-owS" firstAttribute="leading" secondItem="Cy1-S1-DPz" secondAttribute="trailing" constant="5" id="Rdx-7e-eh7"/>
                            <constraint firstItem="8TM-yv-Un7" firstAttribute="top" secondItem="W7X-2X-xsv" secondAttribute="bottom" constant="5" id="TCv-SS-inh"/>
                            <constraint firstItem="FOH-XA-D8x" firstAttribute="height" secondItem="dRe-f0-gnl" secondAttribute="height" id="TGa-pW-zYt"/>
                            <constraint firstItem="8PJ-g2-nFJ" firstAttribute="top" secondItem="Cy1-S1-DPz" secondAttribute="bottom" constant="5" id="Tjy-h1-vZN"/>
                            <constraint firstItem="9C8-lY-VAg" firstAttribute="bottom" secondItem="TnX-iH-azN" secondAttribute="bottom" id="UMk-Jo-juB"/>
                            <constraint firstItem="TnX-iH-azN" firstAttribute="leading" secondItem="8bC-Xf-vdC" secondAttribute="leading" constant="15" id="UOK-BA-rIV"/>
                            <constraint firstItem="irT-Ka-3TX" firstAttribute="leading" secondItem="2dO-Tn-LD7" secondAttribute="trailing" constant="10" id="W1D-fa-dg9"/>
                            <constraint firstItem="0ox-b2-eLv" firstAttribute="top" secondItem="9JE-Lz-Dma" secondAttribute="top" id="Wtn-mc-a6W"/>
                            <constraint firstItem="9C8-lY-VAg" firstAttribute="leading" secondItem="TnX-iH-azN" secondAttribute="trailing" constant="5" id="XgB-GO-lOM"/>
                            <constraint firstItem="Cy1-S1-DPz" firstAttribute="leading" secondItem="dRe-f0-gnl" secondAttribute="leading" id="Y9c-yU-8ZX"/>
                            <constraint firstItem="8TM-yv-Un7" firstAttribute="trailing" secondItem="W7X-2X-xsv" secondAttribute="trailing" id="ZsE-8c-rUX"/>
                            <constraint firstItem="FOH-XA-D8x" firstAttribute="top" secondItem="dRe-f0-gnl" secondAttribute="top" id="dJi-hK-bk0"/>
                            <constraint firstItem="2eb-Vp-qLt" firstAttribute="leading" secondItem="dRe-f0-gnl" secondAttribute="leading" constant="1" id="e0h-4k-Ucp"/>
                            <constraint firstItem="8TM-yv-Un7" firstAttribute="leading" secondItem="W7X-2X-xsv" secondAttribute="leading" id="eFf-tb-Hek"/>
                            <constraint firstAttribute="trailing" secondItem="0ox-b2-eLv" secondAttribute="trailing" constant="15" id="eZI-Mq-JLV"/>
                            <constraint firstItem="9JE-Lz-Dma" firstAttribute="height" secondItem="TnX-iH-azN" secondAttribute="height" id="fRe-gX-tKo"/>
                            <constraint firstItem="1dp-RW-FhV" firstAttribute="leading" secondItem="TnX-iH-azN" secondAttribute="leading" constant="1" id="gpR-z2-ljd"/>
                            <constraint firstItem="uRU-q5-QzB" firstAttribute="leading" secondItem="m3k-LM-GSV" secondAttribute="trailing" constant="5" id="hRq-kb-fCs"/>
                            <constraint firstItem="so4-rI-aRi" firstAttribute="top" secondItem="HDM-va-7kG" secondAttribute="top" id="iv1-xe-BDD"/>
                            <constraint firstItem="7fD-Hf-Afy" firstAttribute="height" secondItem="TnX-iH-azN" secondAttribute="height" id="j3W-5R-k7D"/>
                            <constraint firstItem="irT-Ka-3TX" firstAttribute="height" secondItem="2dO-Tn-LD7" secondAttribute="height" multiplier="0.6" constant="12" id="j9c-Dh-Gyd"/>
                            <constraint firstItem="9C8-lY-VAg" firstAttribute="height" secondItem="TnX-iH-azN" secondAttribute="height" multiplier="1.13333" id="k7J-W8-ljE"/>
                            <constraint firstItem="9JE-Lz-Dma" firstAttribute="leading" secondItem="TnX-iH-azN" secondAttribute="leading" constant="1" id="kqV-nZ-dh4"/>
                            <constraint firstItem="HDM-va-7kG" firstAttribute="top" secondItem="a21-3W-10n" secondAttribute="bottom" id="lS8-hA-rmu"/>
                            <constraint firstItem="7fD-Hf-Afy" firstAttribute="leading" secondItem="TnX-iH-azN" secondAttribute="leading" id="lea-oR-ecV"/>
                            <constraint firstItem="8PJ-g2-nFJ" firstAttribute="height" secondItem="Cy1-S1-DPz" secondAttribute="height" id="mu7-nm-jrq"/>
                            <constraint firstItem="m3k-LM-GSV" firstAttribute="height" secondItem="dRe-f0-gnl" secondAttribute="height" id="nTZ-4F-JJU"/>
                            <constraint firstItem="1dp-RW-FhV" firstAttribute="height" secondItem="TnX-iH-azN" secondAttribute="height" id="pCJ-es-iPl"/>
                            <constraint firstItem="8PJ-g2-nFJ" firstAttribute="leading" secondItem="Cy1-S1-DPz" secondAttribute="leading" id="qno-dF-byX"/>
                            <constraint firstItem="1dp-RW-FhV" firstAttribute="top" secondItem="TnX-iH-azN" secondAttribute="bottom" constant="5" id="ta0-ZL-iPP"/>
                            <constraint firstItem="0ox-b2-eLv" firstAttribute="height" secondItem="9JE-Lz-Dma" secondAttribute="height" id="tmo-3Y-Tcf"/>
                            <constraint firstItem="Vmx-zP-DRW" firstAttribute="height" secondItem="dRe-f0-gnl" secondAttribute="height" id="uLF-IL-l61"/>
                            <constraint firstItem="Cy1-S1-DPz" firstAttribute="top" secondItem="m3k-LM-GSV" secondAttribute="bottom" constant="5" id="vHt-ft-Hyf"/>
                            <constraint firstItem="Vmx-zP-DRW" firstAttribute="leading" secondItem="dRe-f0-gnl" secondAttribute="trailing" constant="5" id="vfp-Yh-YD6"/>
                            <constraint firstItem="TnX-iH-azN" firstAttribute="top" secondItem="2eb-Vp-qLt" secondAttribute="bottom" constant="5" id="wpQ-ws-7sM"/>
                            <constraint firstAttribute="trailing" secondItem="9C8-lY-VAg" secondAttribute="trailing" constant="15" id="xJl-HV-EOH"/>
                            <constraint firstItem="9JE-Lz-Dma" firstAttribute="top" secondItem="1dp-RW-FhV" secondAttribute="bottom" constant="5" id="xMf-AL-l1H"/>
                            <constraint firstItem="wpP-7X-EhS" firstAttribute="trailing" secondItem="W7X-2X-xsv" secondAttribute="trailing" id="xWp-bD-x5C"/>
                            <constraint firstAttribute="trailing" secondItem="W7X-2X-xsv" secondAttribute="trailing" constant="15" id="xnq-qQ-lUK"/>
                            <constraint firstItem="Vmx-zP-DRW" firstAttribute="top" secondItem="dRe-f0-gnl" secondAttribute="top" id="zxs-bV-awe"/>
                        </constraints>
                    </view>
                    <connections>
                        <outlet property="changeEnvironmentBtn" destination="so4-rI-aRi" id="ong-vG-zJ6"/>
                        <outlet property="megTextField" destination="9C8-lY-VAg" id="NdF-KZ-ejC"/>
                        <outlet property="recvIDTextField" destination="wpP-7X-EhS" id="qJr-jJ-e4u"/>
                        <outlet property="revLab" destination="irT-Ka-3TX" id="mZ8-7X-8zX"/>
                        <outlet property="sendIDTextField" destination="W7X-2X-xsv" id="e1Q-4T-l0b"/>
                        <outlet property="sendTokenTextField" destination="8TM-yv-Un7" id="HYr-kt-sOj"/>
                        <outlet property="senderLab" destination="2dO-Tn-LD7" id="fP4-m5-Rcn"/>
                        <outlet property="showImage" destination="01u-sn-4fM" id="Tl0-7d-FXH"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="132" y="133.5832083958021"/>
        </scene>
        <!--OffcnIM Sqlite TestVC-->
        <scene sceneID="hcv-uv-YGK">
            <objects>
                <viewController storyboardIdentifier="OffcnIMSqliteTestVC" id="2by-9C-78c" customClass="OffcnIMSqliteTestVC" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="gRc-11-2rD"/>
                        <viewControllerLayoutGuide type="bottom" id="5Te-7X-gHr"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="Lef-sG-R6x">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="hI0-jm-bPD">
                                <rect key="frame" x="15" y="20" width="62" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="删除记录"/>
                                <connections>
                                    <action selector="deleteRecord:" destination="2by-9C-78c" eventType="touchUpInside" id="b1U-mz-kpN"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="AOb-iX-raM">
                                <rect key="frame" x="15" y="55" width="62" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="删除表格"/>
                                <connections>
                                    <action selector="deleteTable:" destination="2by-9C-78c" eventType="touchUpInside" id="6Rd-bU-31Z"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="IOW-P1-885">
                                <rect key="frame" x="15" y="90" width="92" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="查询聊天列表"/>
                                <connections>
                                    <action selector="queryChatList:" destination="2by-9C-78c" eventType="touchUpInside" id="B4E-F3-D8x"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="F7Q-um-fFq">
                                <rect key="frame" x="15" y="125" width="62" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="查询聊天"/>
                                <connections>
                                    <action selector="queryChat:" destination="2by-9C-78c" eventType="touchUpInside" id="tyc-6A-ewd"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="AFV-63-T6s">
                                <rect key="frame" x="15" y="160" width="77" height="30"/>
                                <color key="backgroundColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <state key="normal" title="设置未读数"/>
                                <connections>
                                    <action selector="setUnreadNum:" destination="2by-9C-78c" eventType="touchUpInside" id="NYE-kb-5yy"/>
                                </connections>
                            </button>
                        </subviews>
                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                        <constraints>
                            <constraint firstItem="F7Q-um-fFq" firstAttribute="height" secondItem="hI0-jm-bPD" secondAttribute="height" id="25O-Jc-7Qt"/>
                            <constraint firstItem="AOb-iX-raM" firstAttribute="height" secondItem="hI0-jm-bPD" secondAttribute="height" id="4Kb-uG-fJZ"/>
                            <constraint firstItem="F7Q-um-fFq" firstAttribute="top" secondItem="IOW-P1-885" secondAttribute="bottom" constant="5" id="8tT-WD-O7J"/>
                            <constraint firstItem="AFV-63-T6s" firstAttribute="top" secondItem="F7Q-um-fFq" secondAttribute="bottom" constant="5" id="Cj8-1B-oQW"/>
                            <constraint firstItem="F7Q-um-fFq" firstAttribute="leading" secondItem="hI0-jm-bPD" secondAttribute="leading" id="Ho3-Xh-Brc"/>
                            <constraint firstItem="AFV-63-T6s" firstAttribute="leading" secondItem="F7Q-um-fFq" secondAttribute="leading" id="Jqz-94-SOG"/>
                            <constraint firstItem="AFV-63-T6s" firstAttribute="height" secondItem="F7Q-um-fFq" secondAttribute="height" id="PZ2-gg-pNt"/>
                            <constraint firstItem="hI0-jm-bPD" firstAttribute="leading" secondItem="Lef-sG-R6x" secondAttribute="leading" constant="15" id="SBW-v4-A42"/>
                            <constraint firstItem="IOW-P1-885" firstAttribute="top" secondItem="AOb-iX-raM" secondAttribute="bottom" constant="5" id="UrS-kL-0Ws"/>
                            <constraint firstItem="AOb-iX-raM" firstAttribute="leading" secondItem="hI0-jm-bPD" secondAttribute="leading" id="Ytd-Ib-44I"/>
                            <constraint firstItem="AOb-iX-raM" firstAttribute="top" secondItem="hI0-jm-bPD" secondAttribute="bottom" constant="5" id="ePG-0i-oLK"/>
                            <constraint firstItem="IOW-P1-885" firstAttribute="leading" secondItem="hI0-jm-bPD" secondAttribute="leading" id="oiv-y2-5T1"/>
                            <constraint firstItem="IOW-P1-885" firstAttribute="height" secondItem="hI0-jm-bPD" secondAttribute="height" id="ptF-6e-E7L"/>
                            <constraint firstItem="hI0-jm-bPD" firstAttribute="top" secondItem="gRc-11-2rD" secondAttribute="bottom" constant="20" id="x9c-8T-gYq"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" id="U4W-nu-TVd"/>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="JTi-eC-dSM" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="898" y="135"/>
        </scene>
    </scenes>
</document>
